org.keycloak.adapters

## Enum AuthOutcome

- java.lang.Object
- - java.lang.Enum<AuthOutcome>
  - - org.keycloak.adapters.AuthOutcome

- All Implemented Interfaces:
    Serializable, Comparable<AuthOutcome>

      public enum AuthOutcome
      extends Enum<AuthOutcome>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATED`
    `FAILED`
    `NOT_ATTEMPTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthOutcome` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthOutcome[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_ATTEMPTED

          public static final AuthOutcome NOT_ATTEMPTED

    - #### FAILED

          public static final AuthOutcome FAILED

    - #### AUTHENTICATED

          public static final AuthOutcome AUTHENTICATED

  - ### Method Detail

    - #### values

          public static AuthOutcome[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthOutcome c : AuthOutcome.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthOutcome valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.